Package org.apache.cayenne.dba.oracle

# Class OracleSQLTreeProcessor

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor
org.apache.cayenne.dba.oracle.OracleSQLTreeProcessor

All Implemented Interfaces:
  `NodeTreeVisitor`, `SQLTreeProcessor`

public class OracleSQLTreeProcessor extends BaseSQLTreeProcessor

Since:
  4.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OracleSQLTreeProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `onColumnNode(Node parent, ColumnNode child, int index)`
  `protected void`
  `onFunctionNode(Node parent, FunctionNode child, int index)`
  `protected void`
  `onInNode(Node parent, InNode child, int index)`
  `protected void`
  `onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)`
  `protected void`
  `onResultNode(Node parent, Node child, int index)`
  `Node`
  `process(Node node)`

  ### Methods inherited from class org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor

  `onChildNodeStart, onDistinctNode, onLikeNode, onUndefinedNode, onValueNode, replaceChild, replaceChild, wrapInFunction`

  ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

  `onChildNodeEnd, onNodeEnd, onNodeStart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OracleSQLTreeProcessor

    public OracleSQLTreeProcessor()

- ## Method Details

  - ### onResultNode

    protected void onResultNode(Node parent, Node child, int index)
    Overrides:
      `onResultNode` in class `BaseSQLTreeProcessor`

  - ### onColumnNode

    protected void onColumnNode(Node parent, ColumnNode child, int index)
    Overrides:
      `onColumnNode` in class `BaseSQLTreeProcessor`

  - ### onLimitOffsetNode

    protected void onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)
    Overrides:
      `onLimitOffsetNode` in class `BaseSQLTreeProcessor`

  - ### onInNode

    protected void onInNode(Node parent, InNode child, int index)
    Overrides:
      `onInNode` in class `BaseSQLTreeProcessor`

  - ### onFunctionNode

    protected void onFunctionNode(Node parent, FunctionNode child, int index)
    Overrides:
      `onFunctionNode` in class `BaseSQLTreeProcessor`

  - ### process

    public Node process(Node node)
    Specified by:
      `process` in interface `SQLTreeProcessor`
    Overrides:
      `process` in class `BaseSQLTreeProcessor`